Kwalitee Issues

has_changelog

Add a Changelog (best named 'Changes') to the distribution. It should list at least major changes implemented in newer versions.

has_readme

Add a README to the distribution. It should contain a quick description of your module and how to install it.

meta_yml_conforms_to_known_spec

Take a look at the META.yml Spec at http://module-build.sourceforge.net/META-spec-v1.4.html (for version 1.4) or http://search.cpan.org/perldoc?CPAN::Meta::Spec (for version 2), and change your META.yml accordingly.

Error: License 'BSD' is invalid (license) [Validation: 1.3]

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: WSST::Templates::html::lib, WSST::Templates::perl::lib, WSST::Templates::php::lib

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: WSST, WSST::CodeTemplate, WSST::Generator, WSST::Schema, WSST::Schema::Base, WSST::Schema::Data, WSST::Schema::Error, WSST::Schema::Method, WSST::Schema::Node, WSST::Schema::Param, WSST::Schema::Return, WSST::Schema::Test, WSST::SchemaParser, WSST::SchemaParser::YAML, WSST::SchemaParserManager, WSST::Templates::html::lib, WSST::Templates::perl::lib, WSST::Templates::php::lib

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
WSST WebService Specification Schema Tool(WSST) 0.001001 metacpan
WSST::CodeTemplate CodeTemplate class of WSST 0.001001 metacpan
WSST::Generator Generator class of WSST 0.001001 metacpan
WSST::Schema Schema class of WSST 0.001001 metacpan
WSST::Schema::Base Base class for Schema elements 0.001001 metacpan
WSST::Schema::Data Schema::Data class of WSST 0.001001 metacpan
WSST::Schema::Error Schema::Error class of WSST 0.001001 metacpan
WSST::Schema::Method Schema::Method class of WSST 0.001001 metacpan
WSST::Schema::Node Schema::Node class of WSST 0.001001 metacpan
WSST::Schema::Param Schema::Param class of WSST 0.001001 metacpan
WSST::Schema::Return Schema::Return class of WSST 0.001001 metacpan
WSST::Schema::Test Schema::Test class of WSST 0.001001 metacpan
WSST::SchemaParser SchemaParser interface of WSST 0.001001 metacpan
WSST::SchemaParser::YAML YAML SchemaParser class of WSST 0.001001 metacpan
WSST::SchemaParserManager SchemaParserManager class of WSST 0.001001 metacpan

Other Files

MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan